%global pypi_name appdirs
%{!?_licensedir:%global license %%doc}

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        1%{?dist}
Summary:        A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir"

License:        MIT
URL:            http://github.com/ActiveState/appdirs
Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools >= 0.8

%description
Appdirs is a small Python module for determining appropriate platform-specific
dirs, e.g. a "user data dir".

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} setup.py test

%files
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed May 20 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 1.4.0-1
- Initial package for upstream 1.4.0
